QuoteContactTable extends DataManager uses MergeByDefaultTrait
Class QuoteContactTable
DO NOT WRITE ANYTHING BELOW THIS
<<< ORMENTITYANNOTATION
Table of Contents
Constants
- EVENT_ON_ADD = "OnAdd"
- EVENT_ON_AFTER_ADD = "OnAfterAdd"
- EVENT_ON_AFTER_DELETE = "OnAfterDelete"
- EVENT_ON_AFTER_UPDATE = "OnAfterUpdate"
- EVENT_ON_BEFORE_ADD = "OnBeforeAdd"
- EVENT_ON_BEFORE_DELETE = "OnBeforeDelete"
- EVENT_ON_BEFORE_UPDATE = "OnBeforeUpdate"
- EVENT_ON_DELETE = "OnDelete"
- EVENT_ON_UPDATE = "OnUpdate"
Methods
- add() : AddResult
- Adds row to entity table
- addMulti() : AddResult
- Adds several rows to entity table.
- bindContactIDs() : void
- Bind quote to contacts are specified by ID.
- bindContacts() : void
- Bind quote to contacts.
- checkFields() : mixed
- Checks the data fields before saving to DB. Result stores in the $result object
- cleanCache() : void
- Cleans the tablet cache after data modifications.
- createCollection() : EO_QuoteContact_Collection
- createObject() : EO_QuoteContact
- cryptoEnabled() : bool
- Returns true if crypto is enabled for a field.
- delete() : DeleteResult
- Deletes row in entity table by primary key
- enableCrypto() : mixed
- Sets a flag indicating crypto support for a field.
- getBulkQuoteBindings() : array<string|int, mixed>
- Get binding map for quote's collection.
- getById() : EO_QuoteContact_Result
- Returns selection by entity's primary key
- getByPrimary() : EO_QuoteContact_Result
- Returns selection by entity's primary key and optional parameters for getList()
- getCollectionClass() : string|Collection
- Returns class of Object collection for current entity.
- getCollectionClassName() : string
- Returns class name (without namespace) of Object collection for current entity.
- getCollectionParentClass() : Collection|string
- getConnectionName() : string
- Returns connection name for entity
- getContactQuotesIDs() : array<string|int, mixed>
- Get quote IDs are bound to specified contact.
- getCount() : int
- Performs COUNT query on entity and returns the result.
- getEntity() : EO_QuoteContact_Entity
- Returns entity object
- getEntityClass() : Entity|string
- getList() : EO_QuoteContact_Result
- Executes the query and returns selection by parameters of the query. This function is an alias to the Query object functions
- getMap() : array<string|int, mixed>
- Get table fields map.
- getObjectClass() : string|EntityObject
- Returns class of Object for current entity.
- getObjectClassName() : string
- Returns class name (without namespace) of Object for current entity.
- getObjectParentClass() : EntityObject|string
- getQueryClass() : Query|string
- getQuoteBindingCount() : int
- Get quote's binding count.
- getQuoteBindings() : array<string|int, mixed>
- Get quote's bindings.
- getQuoteContactIDs() : array<string|int, mixed>
- Get contact IDs are bound to specified quote.
- getRow() : array<string|int, mixed>|null
- Returns one row (or null) by parameters for getList()
- getRowById() : array<string|int, mixed>|null
- Returns one row (or null) by entity's primary key
- getTableName() : string
- Get table name.
- getTitle() : string|null
- getUfId() : mixed
- hasContacts() : bool
- Check if quote has contacts.
- isCacheable() : bool
- You can disable cache for the tablet completely.
- isUtm() : mixed
- isUts() : mixed
- onAdd() : mixed
- onAfterAdd() : mixed
- onAfterDelete() : mixed
- onAfterUpdate() : mixed
- onBeforeAdd() : mixed
- onBeforeDelete() : mixed
- onBeforeUpdate() : mixed
- onDelete() : mixed
- onUpdate() : mixed
- postInitialize() : null
- prepareFilterJoinSql() : string
- Prepage SQL join filter condition for specified entity.
- query() : EO_QuoteContact_Query
- Creates and returns the Query object for the entity
- rebindAllQuotes() : mixed
- Unbind all quotes from seed contact and bind to target contact
- setCurrentDeletingObject() : void
- setDefaultScope() : Query
- unbindAllContacts() : void
- Unbind specified quote from all contacts.
- unbindAllQuotes() : void
- Unbind specified contact from all quotes.
- unbindContactIDs() : void
- Unbind specified quote from specified contacts.
- unbindContacts() : void
- Unbind specified quote from specified contacts.
- unsetEntity() : mixed
- update() : UpdateResult
- Updates row in entity table by primary key
- updateMulti() : UpdateResult
- upsert() : void
- Execute UPSERT operation.
- wakeUpCollection() : EO_QuoteContact_Collection
- wakeUpObject() : EO_QuoteContact
Constants
EVENT_ON_ADD
public
mixed
EVENT_ON_ADD
= "OnAdd"
EVENT_ON_AFTER_ADD
public
mixed
EVENT_ON_AFTER_ADD
= "OnAfterAdd"
EVENT_ON_AFTER_DELETE
public
mixed
EVENT_ON_AFTER_DELETE
= "OnAfterDelete"
EVENT_ON_AFTER_UPDATE
public
mixed
EVENT_ON_AFTER_UPDATE
= "OnAfterUpdate"
EVENT_ON_BEFORE_ADD
public
mixed
EVENT_ON_BEFORE_ADD
= "OnBeforeAdd"
EVENT_ON_BEFORE_DELETE
public
mixed
EVENT_ON_BEFORE_DELETE
= "OnBeforeDelete"
EVENT_ON_BEFORE_UPDATE
public
mixed
EVENT_ON_BEFORE_UPDATE
= "OnBeforeUpdate"
EVENT_ON_DELETE
public
mixed
EVENT_ON_DELETE
= "OnDelete"
EVENT_ON_UPDATE
public
mixed
EVENT_ON_UPDATE
= "OnUpdate"
Methods
add()
Adds row to entity table
public
static add(array<string|int, mixed> $data) : AddResult
Parameters
- $data : array<string|int, mixed>
-
An array with fields like array( "fields" => array( "FIELD1" => "value1", "FIELD2" => "value2", ), "auth_context" => \Bitrix\Main\Authentication\Context object ) or just a plain array of fields.
This method uses the default strategy defined in the class.
Tags
Return values
AddResult —Contains ID of inserted row
addMulti()
Adds several rows to entity table.
public
static addMulti(mixed $rows[, bool $ignoreEvents = false ]) : AddResult
This method uses the default strategy defined in the class.
Parameters
- $rows : mixed
- $ignoreEvents : bool = false
Tags
Return values
AddResultbindContactIDs()
Bind quote to contacts are specified by ID.
public
static bindContactIDs(int $quoteID, array<string|int, mixed> $contactIDs) : void
Parameters
- $quoteID : int
-
Quote ID.
- $contactIDs : array<string|int, mixed>
-
Array of contact IDs.
bindContacts()
Bind quote to contacts.
public
static bindContacts(int $quoteID, array<string|int, mixed> $bindings) : void
Parameters
- $quoteID : int
-
Quote ID.
- $bindings : array<string|int, mixed>
-
Array of contact bindings.
Tags
checkFields()
Checks the data fields before saving to DB. Result stores in the $result object
public
static checkFields(Result $result, mixed $primary, array<string|int, mixed> $data) : mixed
Parameters
- $result : Result
- $primary : mixed
- $data : array<string|int, mixed>
Tags
cleanCache()
Cleans the tablet cache after data modifications.
public
static cleanCache() : void
createCollection()
public
static createCollection() : EO_QuoteContact_Collection
Return values
EO_QuoteContact_CollectioncreateObject()
public
static createObject([mixed $setDefaultValues = = 'true' ]) : EO_QuoteContact
Parameters
- $setDefaultValues : mixed = = 'true'
Return values
EO_QuoteContactcryptoEnabled()
Returns true if crypto is enabled for a field.
public
static cryptoEnabled(string $field[, string $table = null ]) : bool
Parameters
- $field : string
- $table : string = null
Return values
booldelete()
Deletes row in entity table by primary key
public
static delete(mixed $primary) : DeleteResult
Parameters
- $primary : mixed
Tags
Return values
DeleteResultenableCrypto()
Sets a flag indicating crypto support for a field.
public
static enableCrypto(string $field[, string $table = null ][, bool $mode = true ]) : mixed
Parameters
- $field : string
- $table : string = null
- $mode : bool = true
getBulkQuoteBindings()
Get binding map for quote's collection.
public
static getBulkQuoteBindings(array<string|int, mixed> $quoteIDs) : array<string|int, mixed>
Parameters
- $quoteIDs : array<string|int, mixed>
-
Array of Quote IDs.
Tags
Return values
array<string|int, mixed>getById()
Returns selection by entity's primary key
public
static getById(mixed $id) : EO_QuoteContact_Result
Parameters
- $id : mixed
-
Primary key of the entity
Return values
EO_QuoteContact_ResultgetByPrimary()
Returns selection by entity's primary key and optional parameters for getList()
public
static getByPrimary(mixed $primary[, array<string|int, mixed> $parameters = = '[]' ]) : EO_QuoteContact_Result
Parameters
- $primary : mixed
-
Primary key of the entity
- $parameters : array<string|int, mixed> = = '[]'
-
Additional parameters for getList()
Return values
EO_QuoteContact_ResultgetCollectionClass()
Returns class of Object collection for current entity.
public
static getCollectionClass() : string|Collection
Return values
string|CollectiongetCollectionClassName()
Returns class name (without namespace) of Object collection for current entity.
public
final static getCollectionClassName() : string
Return values
stringgetCollectionParentClass()
public
static getCollectionParentClass() : Collection|string
Return values
Collection|stringgetConnectionName()
Returns connection name for entity
public
static getConnectionName() : string
Return values
stringgetContactQuotesIDs()
Get quote IDs are bound to specified contact.
public
static getContactQuotesIDs(int $contactID) : array<string|int, mixed>
Parameters
- $contactID : int
-
Contact ID.
Tags
Return values
array<string|int, mixed>getCount()
Performs COUNT query on entity and returns the result.
public
static getCount([array<string|int, mixed>|ConditionTree $filter = array() ][, array<string|int, mixed> $cache = array() ]) : int
Parameters
- $filter : array<string|int, mixed>|ConditionTree = array()
- $cache : array<string|int, mixed> = array()
-
An array of cache options "ttl" => integer indicating cache TTL
Tags
Return values
intgetEntity()
Returns entity object
public
static getEntity() : EO_QuoteContact_Entity
Return values
EO_QuoteContact_EntitygetEntityClass()
public
static getEntityClass() : Entity|string
Return values
Entity|stringgetList()
Executes the query and returns selection by parameters of the query. This function is an alias to the Query object functions
public
static getList([array<string|int, mixed> $parameters = = '[]' ]) : EO_QuoteContact_Result
Parameters
- $parameters : array<string|int, mixed> = = '[]'
-
An array of query parameters, available keys are:
"select" => array of fields in the SELECT part of the query, aliases are possible in the form of "alias"=>"field";
"filter" => array of filters in the WHERE/HAVING part of the query in the form of "(condition)field"=>"value"; also could be an instance of Filter;
"group" => array of fields in the GROUP BY part of the query;
"order" => array of fields in the ORDER BY part of the query in the form of "field"=>"asc|desc";
"limit" => integer indicating maximum number of rows in the selection (like LIMIT n in MySql);
"offset" => integer indicating first row number in the selection (like LIMIT n, 100 in MySql);
"runtime" => array of entity fields created dynamically;
"cache => array of cache options:
"ttl" => integer indicating cache TTL;
"cache_joins" => boolean enabling to cache joins, false by default.
Return values
EO_QuoteContact_ResultgetMap()
Get table fields map.
public
static getMap() : array<string|int, mixed>
Return values
array<string|int, mixed>getObjectClass()
Returns class of Object for current entity.
public
static getObjectClass() : string|EntityObject
Return values
string|EntityObjectgetObjectClassName()
Returns class name (without namespace) of Object for current entity.
public
final static getObjectClassName() : string
Return values
stringgetObjectParentClass()
public
static getObjectParentClass() : EntityObject|string
Return values
EntityObject|stringgetQueryClass()
public
static getQueryClass() : Query|string
Return values
Query|stringgetQuoteBindingCount()
Get quote's binding count.
public
static getQuoteBindingCount(int $quoteID) : int
Parameters
- $quoteID : int
-
Quote ID.
Tags
Return values
intgetQuoteBindings()
Get quote's bindings.
public
static getQuoteBindings(int $quoteID) : array<string|int, mixed>
Parameters
- $quoteID : int
-
Quote ID.
Tags
Return values
array<string|int, mixed>getQuoteContactIDs()
Get contact IDs are bound to specified quote.
public
static getQuoteContactIDs(int $quoteID) : array<string|int, mixed>
Parameters
- $quoteID : int
-
Quote ID.
Tags
Return values
array<string|int, mixed>getRow()
Returns one row (or null) by parameters for getList()
public
static getRow(array<string|int, mixed> $parameters) : array<string|int, mixed>|null
Parameters
- $parameters : array<string|int, mixed>
-
Primary key of the entity
Tags
Return values
array<string|int, mixed>|nullgetRowById()
Returns one row (or null) by entity's primary key
public
static getRowById(mixed $id[, array<string|int, mixed> $parameters = [] ]) : array<string|int, mixed>|null
Parameters
- $id : mixed
-
Primary key of the entity
- $parameters : array<string|int, mixed> = []
-
Additional parameters for getList()
Tags
Return values
array<string|int, mixed>|nullgetTableName()
Get table name.
public
static getTableName() : string
Return values
stringgetTitle()
public
static getTitle() : string|null
Return values
string|nullgetUfId()
public
static getUfId() : mixed
hasContacts()
Check if quote has contacts.
public
static hasContacts(int $quoteID) : bool
Parameters
- $quoteID : int
-
Quote ID.
Tags
Return values
boolisCacheable()
You can disable cache for the tablet completely.
public
static isCacheable() : bool
Return values
boolisUtm()
public
static isUtm() : mixed
isUts()
public
static isUts() : mixed
onAdd()
public
static onAdd(Event $event) : mixed
Parameters
- $event : Event
onAfterAdd()
public
static onAfterAdd(Event $event) : mixed
Parameters
- $event : Event
onAfterDelete()
public
static onAfterDelete(Event $event) : mixed
Parameters
- $event : Event
onAfterUpdate()
public
static onAfterUpdate(Event $event) : mixed
Parameters
- $event : Event
onBeforeAdd()
public
static onBeforeAdd(Event $event) : mixed
Parameters
- $event : Event
onBeforeDelete()
public
static onBeforeDelete(Event $event) : mixed
Parameters
- $event : Event
onBeforeUpdate()
public
static onBeforeUpdate(Event $event) : mixed
Parameters
- $event : Event
onDelete()
public
static onDelete(Event $event) : mixed
Parameters
- $event : Event
onUpdate()
public
static onUpdate(Event $event) : mixed
Parameters
- $event : Event
postInitialize()
public
static postInitialize(Entity $entity) : null
Parameters
- $entity : Entity
Return values
nullprepareFilterJoinSql()
Prepage SQL join filter condition for specified entity.
public
static prepareFilterJoinSql(int $entityTypeID, int $entityID, string $tableAlias) : string
Parameters
- $entityTypeID : int
-
Entity type ID for filter.
- $entityID : int
-
Entity ID for filter.
- $tableAlias : string
-
Alias of primary table.
Tags
Return values
stringquery()
Creates and returns the Query object for the entity
public
static query() : EO_QuoteContact_Query
Return values
EO_QuoteContact_QueryrebindAllQuotes()
Unbind all quotes from seed contact and bind to target contact
public
static rebindAllQuotes(int $seedContactID, int $targContactID) : mixed
Parameters
- $seedContactID : int
-
Seed contact ID.
- $targContactID : int
-
Target contact ID.
Tags
setCurrentDeletingObject()
public
static setCurrentDeletingObject(EntityObject $object) : void
Parameters
- $object : EntityObject
setDefaultScope()
public
static setDefaultScope(Query $query) : Query
Parameters
- $query : Query
Return values
QueryunbindAllContacts()
Unbind specified quote from all contacts.
public
static unbindAllContacts(int $quoteID) : void
Parameters
- $quoteID : int
-
Quote ID.
Tags
unbindAllQuotes()
Unbind specified contact from all quotes.
public
static unbindAllQuotes(int $contactID) : void
Parameters
- $contactID : int
-
Contact ID.
Tags
unbindContactIDs()
Unbind specified quote from specified contacts.
public
static unbindContactIDs(int $quoteID, array<string|int, mixed> $contactIDs) : void
Parameters
- $quoteID : int
-
Quote ID.
- $contactIDs : array<string|int, mixed>
-
Array of contact IDs.
Tags
unbindContacts()
Unbind specified quote from specified contacts.
public
static unbindContacts(int $quoteID, array<string|int, mixed> $bindings) : void
Parameters
- $quoteID : int
-
Quote ID.
- $bindings : array<string|int, mixed>
-
Array of bindings.
Tags
unsetEntity()
public
static unsetEntity(mixed $class) : mixed
Parameters
- $class : mixed
update()
Updates row in entity table by primary key
public
static update(mixed $primary, array<string|int, mixed> $data) : UpdateResult
Parameters
- $primary : mixed
- $data : array<string|int, mixed>
-
An array with fields like array( "fields" => array( "FIELD1" => "value1", "FIELD2" => "value2", ), "auth_context" => \Bitrix\Main\Authentication\Context object ) or just a plain array of fields.
Tags
Return values
UpdateResultupdateMulti()
public
static updateMulti(array<string|int, mixed> $primaries, array<string|int, mixed> $data[, bool $ignoreEvents = false ]) : UpdateResult
Parameters
- $primaries : array<string|int, mixed>
- $data : array<string|int, mixed>
- $ignoreEvents : bool = false
Tags
Return values
UpdateResultupsert()
Execute UPSERT operation.
public
static upsert(array<string|int, mixed> $data) : void
Parameters
- $data : array<string|int, mixed>
-
Field data.
wakeUpCollection()
public
static wakeUpCollection(mixed $rows) : EO_QuoteContact_Collection
Parameters
- $rows : mixed
Return values
EO_QuoteContact_CollectionwakeUpObject()
public
static wakeUpObject(mixed $row) : EO_QuoteContact
Parameters
- $row : mixed